Plug 'editorconfig/editorconfig-vim', { 'tag': 'v1.1.1' }
Plug 'tpope/vim-surround'

" UltiSnips
Plug 'SirVer/ultisnips', { 'tag': '3.2' }
let g:UltiSnipsSnippetDirectories = [ 'UltiSnips', 'snips' ]

" NerdTree
Plug 'preservim/nerdtree', { 'on':  'NERDTreeToggle', 'tag': '6.9.8' }

" Close all open buffers on entering a window if the only
" buffer that's left is the NERDTree buffer
function! s:CloseIfOnlyNerdTreeLeft()
    if exists("t:NERDTreeBufName")
        if bufwinnr(t:NERDTreeBufName) != -1
            if winnr("$") == 1
                q
            endif
        endif
    endif
endfunction

let g:NERDTreeDirArrowExpandable = '▸'
let g:NERDTreeDirArrowCollapsible = '▾'
let NERDTreeDirArrows = 1
let NERDTreeIgnore = [ '\.pyc$', '\.swp$' ]

autocmd WinEnter * call s:CloseIfOnlyNerdTreeLeft()
